"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x106d1de40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x106d1dee0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106d1df80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e020>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e0c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e160>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e200>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e2a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e340>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e3e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e480>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e520>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e5c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e660>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e7a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e840>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e8e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x106d1e980>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x106d1ea20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x106d1eac0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x106d1eb60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x106d1ec00>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x106d1eca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x106d1ed40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x106d1ede0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x106d1ee80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x106d1ef20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x106d1efc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f060>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f100>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f1a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f240>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f2e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f380>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f420>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f4c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f560>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f600>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f6a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f740>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f7e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f880>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f920>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x106d1f9c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fa60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fb00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fba0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fc40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fce0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fd80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fe20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x106d1fec0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x106d1ff60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c0e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c180>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c220>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c2c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c360>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c400>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c4a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c540>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c5e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c680>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c720>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c7c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c860>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c900>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106d5c9a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x106d5ca40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x106d5cae0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106d5cb80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x106d5cc20>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x106d5ccc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x106d5cd60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x106d5ce00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x106d5cea0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x106d5cf40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x106d5cfe0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x106d5d120>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x106d5d080>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x106d5d1c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x106d5d260>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x106d5d300>)]
name: str = 'fr_HOCCN'
